<div ng-controller="MovimientoContenedorCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <!-- <li>
                  <a ui-sref="home.dashboard">Reportes</a>
                </li> -->
              </ul>
            </div>
        </div>
        <div class="card-container">
			<div class="panel panel-success">
				<div class="panel-heading">
					<h3 class="panel-title"><i class="fa fa-file-excel-o"></i> Reporte movimientos de contenedores por semana</h3>
				</div>
				<div class="panel-body">
					<span class="label label-info">Nota:</span> Solo se listan los años que tienen semanas aperturadas.
					<hr>
					<div class="co-md-9 col-md-offset-2">
						<div class="col-md-3">
							<div class="form-group">
								<label for="">Año</label>
								<select class="form-control" ng-model="obj.id_anio" ng-change="listSemana(obj.id_anio)" ng-options="an.id as an.anio for an in anios">
		                            <option value="">-- Año --</option>
		                        </select>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<label for="">Semana</label>
								<select class="form-control" ng-model="obj.id_semana" ng-options="sem.id as sem.nombre for sem in semanas">
		                            <option value="">-- Semana --</option>
		                        </select>
							</div>
						</div>
						<div class="col-md-3">
							<br>
							<button ng-if="!flagLoad" class="btn btn-rounded-10 btn-default" ng-disabled="!obj.id_anio" ng-click="preview(obj)"><i class="fa fa-desktop"></i> vista previa</button>
							<button ng-if="flagLoad" class="btn btn-rounded-10 btn-default"><i class="fa fa-spinner fa-spin"></i> consultando información...</button>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12">
							<hr>
						</div>
						<div class="col-md-6"  ng-if="flag">
							<button ng-if="!flagLoadReport" class="btn btn-border btn-rounded-10 btn-success" ng-click="downloadReport(obj)"><i class="fa fa-download"></i> exportar a excel</button>
							<button ng-if="flagLoadReport" class="btn btn-border btn-rounded-10 btn-success"><i class="fa fa-spinner fa-spin"></i> descargando, por favor espere...</button>
						</div>
						<div class="col-md-6"  ng-if="flag">
	                        <div class="pull-right">
	                           <h4 ><strong>Cantidad : {{containers.length}} Contenedores</strong></h4> 
	                        </div>
	                    </div>

						<div class="col-md-12" ng-if="containers">
							<h4 ng-if="!flag">{{containers}}</h4>
							<br>
							<div class="table-responsive" ng-if="flag">
				                <table class="table table-bordered">
				                    <tr style="background:#F2F2F2">
				                        <th style="vertical-align: middle;">W</th>
				                        <th style="vertical-align: middle;">Año</th>
				                        <th style="vertical-align: middle;">Referencia</th>
				                        <th style="vertical-align: middle;">N° Contenedor</th>
				                        <th style="vertical-align: middle;" class="text-center" colspan="5" rowspan="2">Movimientos</th>
				                    </tr>
				                    <tbody dir-paginate="con in containers |filter: buscar | itemsPerPage: 10" pagination-id="con.id_contenedor">
				                        <tr>
				                           <td style="vertical-align: middle;" rowspan="{{con.movimientos_contenedor.length+1}}" nowrap>
				                                {{con.semana}}
				                            </td>
				                            <td style="vertical-align: middle;" rowspan="{{con.movimientos_contenedor.length+1}}" nowrap>
				                                {{con.anio}}
				                            </td>
				                            <td style="vertical-align:middle;" rowspan="{{con.movimientos_contenedor.length+1}}">{{con.referencia_contenedor}}</td>
				                            <td style="vertical-align:middle;" rowspan="{{con.movimientos_contenedor.length+1}}">{{con.numero_contenedor}}</td>
				                            <td style="vertical-align: middle;background:#F2F2F2" nowrap><b>Estado</b></td>
				                            <td style="vertical-align: middle;background:#F2F2F2" nowrap><b>Fecha</b></td>
				                            <td style="vertical-align: middle;background:#F2F2F2" nowrap><b>Hora</b></td>
				                            <td style="vertical-align: middle;background:#F2F2F2"><b>Usuario responsable</b></td>
				                            <td style="vertical-align: middle;background:#F2F2F2" nowrap><b>Cargo</b></td>
				                        </tr>
				                        <tr ng-repeat="mc in con.movimientos_contenedor">
				                            <td style="display: table-cell;vertical-align: middle;" nowrap>
				                            	<span class="badge" style="background: {{mc.color_estado}};">{{mc.estado}}</span>
				                            </td>
				                            <td style="display: table-cell;vertical-align: middle;" nowrap>{{mc.fecha | date:'dd-MM-yyyy'}}</td> 
				                            <td style="display: table-cell;vertical-align: middle;" nowrap>{{mc.hora}}</td><td style="display: table-cell;vertical-align: middle;" nowrap>{{mc.usuario_responsable}}</td>
				                            <td style="display: table-cell;vertical-align: middle;" nowrap>{{mc.cargo_usuario_responsable}}</td>                             
				                        </tr>
				                    </tbody>
				                </table>
				            </div>
			                <div class="text-center">
			                    <dir-pagination-controls pagination-id="con.id_contenedor"></dir-pagination-controls>
			                </div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>